-- schema.sql
CREATE DATABASE IF NOT EXISTS emojis;

USE emojis;

CREATE TABLE IF NOT EXISTS emoji_clicks (
    id INT PRIMARY KEY AUTO_INCREMENT,
    user_anon_data VARCHAR(50),
    post_id VARCHAR(50) NOT NULL,
    emoji TEXT NOT NULL,
    created_at DATETIME DEFAULT CURRENT_TIMESTAMP,
    UNIQUE(`post_id`, `user_anon_data`)
);
